# Method: accounts.locations.questions.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.ListQuestionsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list#body.aspect)

Returns the paginated list of questions and some of its answers for a specified location.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/questions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the location to fetch questions for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many questions to fetch per page. The default and maximum `pageSize` values are 10. |
| `pageToken` | `string` If specified, the next page of questions is retrieved. |
| `answersPerQuestion` | `integer` How many answers to fetch per question. The default and maximum `answersPerQuestion` values are 10. |
| `filter` | `string` A filter constraining the questions to return. The only filter currently supported is "ignore_answered=true" |
| `orderBy` | `string` The order to return the questions. Valid options include 'updateTime desc' and 'upvoteCount desc', which will return the questions sorted descendingly by the requested field. The default sort order is 'updateTime desc'. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for QuestionsAndAnswers.ListQuestions

| JSON representation ||
|---|---|
| ``` { "questions": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions#Question`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `questions[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions#Question`)`` The requested questions, |
| `totalSize` | `integer` The total number of questions posted for this location across all pages. |
| `nextPageToken` | `string` If the number of questions exceeds the requested max page size, this field is populated with a token to fetch the next page of questions on a subsequent call. If there are no more questions, this field is not present in the response. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).